"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCachedBehindBaseResult = void 0;
const repository_1 = require("../cache/repository");
// Compare cached parent Sha of a branch to the fetched base-branch sha to determine whether the branch is behind the base
// Since cache is updated after each run, this will be sufficient to determine whether a branch is behind its parent.
function getCachedBehindBaseResult(branchName, currentBaseBranchSha) {
    const cache = (0, repository_1.getCache)();
    const { branches = [] } = cache;
    const cachedBranch = branches?.find((branch) => branch.branchName === branchName);
    if (!cachedBranch) {
        return null;
    }
    return currentBaseBranchSha !== cachedBranch.parentSha;
}
exports.getCachedBehindBaseResult = getCachedBehindBaseResult;
//# sourceMappingURL=behind-base-branch-cache.js.map